art-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A Structure that suports rectangle with double coordinates.
- Method
  2.24.0.0
  System.Void `` `` The source rectangle used to apply the transformation. A with 6 elements containing the transformation's matrix. Applies an affine transformation to the src rectangle and initializes this one with the result. It finds the smallest rectangle enclosing the transformed src. The result is exactly the affine transformation of src when the matrix specifies an rectilinear affine transformation. otherwise its a conservative approximation.
- Method
  2.24.0.0
  System.Void `` The that is going to init the current one. Copies the values of the given rectangle, into this one. The current rectangle will be a clone of the given one.
- Method
  2.24.0.0
  System.Int32 Checks if the rectangle is empty. True if the rectangle is empty, false otherwise. For the rectangle to be empty, x1 has to be smaller or equal to x0, or y0 smaller or equal to y1.
- Method
  2.24.0.0
  System.Void `` `` The first source rectangle used. The second source rectangle used. Finds the intersection of two rectangles and initializes the current one with the result.
- Method
  2.24.0.0
  Art.DRect `` a To be added a To be added
- Method
  2.24.0.0
  System.Void `` The Sorted Vector Path. Finds the bounding box os a sorted vector path. The result is used to initialize the current instance.
- Method
  2.24.0.0
  System.Void `` a Finds the bounding box to the Sorted Vector Path and then unifies the resulting rectangle with the current instance. The result is used to initialize the current instance.
- Method
  2.24.0.0
  System.Void `` `` The newly created integer rectangle (). The source rectangle (). Converts the src rectangle into a interger one. The rouding is done using floor for x0 and y0 and ceil for x1 and y1.
- Method
  2.24.0.0
  System.Void `` `` The first source rectangle used. The second source rectangle used. Finds the union of two rectangles and initializes the current one with the result. To be added
- Field
  2.24.0.0
  System.Double The first coordinate of the rectangle on the X axis.
- Field
  2.24.0.0
  System.Double The second coordinate of the rectangle on the X axis.
- Field
  2.24.0.0
  System.Double The first coordinate of the rectangle on the Y axis.
- Field
  2.24.0.0
  System.Double The second coordinate of the rectangle on the Y axis.
- Field
  2.24.0.0
  Art.DRect To be added To be added